aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xhttracker24
1 files changed, 18 insertions, 6 deletions
diff --git a/httracker b/httracker
index 7fc33c1..f899f06 100755
--- a/httracker
+++ b/httracker
@@ -6,13 +6,25 @@
# Load and initialize
source `dirname $0`/lib/httracker/functions || exit 1
-# Get URLs from feed
-# Thanks http://stackoverflow.com/questions/443991/how-to-parse-rss-feeds-xml-in-a-shell-script
-curl -s "$FEED" | grep -o '<link>[^<]*' | grep -o "[^>]*$" > $URLS
+# Parameters
+BASENAME="`basename $0`"
+FILE="$1"
-if [ "$?" != "0" ]; then
- echo "Error downloading feed $FEED, aborting."
- exit 1
+# Grab item list
+if [ -z "$FILE" ]; then
+ # Get URLs from feed
+ # Thanks http://stackoverflow.com/questions/443991/how-to-parse-rss-feeds-xml-in-a-shell-script
+ curl -s "$FEED" | grep -o '<link>[^<]*' | grep -o "[^>]*$" > $URLS
+
+ if [ "$?" != "0" ]; then
+ echo "Error downloading feed $FEED, aborting."
+ exit 1
+ fi
+elif [ -e "$FILE" ]; then
+ # Get URLs from file
+ cat $FILE > $URLS
+else
+ echo "usage: $BASENAME [file]"
fi
# Iterate over all URLs